<?php  

$wp_customize->add_section(
    'counter_area',
    array(
        'title' => __('Counter Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'counter_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'counter_area_disable',
            array(
                'settings'      => 'counter_area_disable',
                'section'       => 'counter_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'counter', 'counter_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'countersection_padding', 'counter_area', ' Section Padding ');

$wp_customize->add_setting(
    'countersection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'countersection_toppadding',
    array(
        'settings'      => 'countersection_toppadding',
        'section'       => 'counter_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'countersection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'countersection_bottompadding',
    array(
        'settings'      => 'countersection_bottompadding',
        'section'       => 'counter_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'counterearea_conwidth', 'counter_area', 'Section Width ');

$wp_customize->add_setting('counter_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'counter_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'counter_area', // Replace with your actual section ID
    'settings' => 'counter_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


$wp_customize->add_setting('counter_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'counter_npp_heading',
        array(
            'settings'      => 'counter_npp_heading',
            'section'       => 'counter_area',
            'label'         => __( 'Number Of Counter To Show', 'Luzuk Premium' ),
        )
    )
);    


$wp_customize->add_setting('counter_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'counter_npp_count', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'counter_area', // Replace with your actual section ID
        'settings' => 'counter_npp_count',
        'choices'=>array(1,2,3,4,5,6)
    ) ) );


//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'counter_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'counter_header'.$i,
            array(
                'settings'      => 'counter_header'.$i,
                'section'       => 'counter_area',
                'label'         => __( 'Counter ', 'Luzuk Premium' ).$i
            )
        )
    );

    //     $wp_customize->add_setting(
    //     'counter_page_icon'.$i,
    //     array(
    //         'default'           => 'fa fa-user-plus',
    //         'sanitize_callback' => 'luzuk_sanitize_text'
    //     )
    // );        
    // $wp_customize->add_control(
    //     new luzuk_Fontawesome_Icon_Chooser(
    //         $wp_customize,
    //         'counter_page_icon'.$i,
    //         array(
    //             'settings'      => 'counter_page_icon'.$i,
    //             'section'       => 'counter_area',
    //             'type'          => 'icon',
    //             'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
    //         )
    //     )
    // );
lzAddElement($wp_customize, 'counter_page_num'.$i, 'counter_area', $type = 'text', $label="Counter Number", $callback ='luzuk_sanitize_text', $default='220+');

lzAddElement($wp_customize, 'counter_page_title'.$i, 'counter_area', $type = 'text', $label="Counter Title", $callback ='luzuk_sanitize_text', $default='Successful Services');

//lzAddElement($wp_customize, 'counter_page_text'.$i, 'counter_area', $type = 'text', $label="Counter text", $callback ='luzuk_sanitize_text', $default='Professional Service');
    
}


lzCustomLable($wp_customize, 'counter_sectioncolor', 'counter_area', ' Section Color');

addColorPalatOption($wp_customize, 'counter_numbgClr', 'counter_area', 'Counter Number BG Color', '#777575');

addColorPalatOption($wp_customize, 'counter_numClr', 'counter_area', 'Counter Number Color', '#333');

addColorPalatOption($wp_customize, 'counter_titleClr', 'counter_area', 'Counter Title Color', '#BBBBBB');


